Name:           listen
Version:        0.5
Release:        16%{?dist}
Summary:        A music manager and player for GNOME
Group:          Applications/Multimedia
License:        GPL
URL:            http://listengnome.free.fr
Source0:        %{name}-%{version}.tar.bz2
Patch0:         %{name}-gecko.patch 
Patch1:		 	%{name}-dbus.patch
BuildRoot:      %{_tmppath}/%{name}-%{real_name}-root-%(%{__id_u} -n)

Buildrequires: python-devel >= 2.4
BuildRequires: python-mutagen >= 1.8
BuildRequires: python-sqlite2
BuildRequires: dbus-python
BuildRequires: pygtk2-devel >= 2.8
BuildRequires: gtk2-devel >= 2.8
BuildRequires: gstreamer-python
BuildRequires: gnome-python2
BuildRequires: gnome-python2-extras
BuildRequires: gnome-python2-gtkhtml2
BuildRequires: gnome-python2-gtkmozembed
BuildRequires: gnome-python2-libegg
BuildRequires: python-sexy
Buildrequires: xorg-x11-server-Xvfb
Buildrequires: xorg-x11-xauth
Buildrequires: xorg-x11-fonts-base
Buildrequires: xorg-x11-fonts-misc
Buildrequires: docbook2X
Buildrequires: intltool >= 0.35
BuildRequires: gettext
Buildrequires: pkgconfig
BuildRequires: desktop-file-utils
Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig 

# added explicit Requires
Requires: python >= 2.4
Requires: python-mutagen >= 1.8
Requires: python-sqlite2
Requires: python-tunepimp
Requires: dbus-python
Requires: pygtk2 >= 2.8
Requires: gstreamer-python
Requires: gnome-python2
Requires: gnome-python2-canvas
Requires: gnome-python2-extras
Requires: gnome-python2-gtkhtml2
Requires: gnome-python2-gtkmozembed
Requires: gnome-python2-libegg
Requires: python-sexy
# MusicBrainz support
Requires: python-musicbrainz2 
# broken and useless dependency
#Requires: /usr/lib/libtunepimp.so.5
Requires: /usr/bin/puid
# optional requires an updated libgpod package from Core
#Requires: python-libgpod

# the workaround requires this
Requires: gecko-libs

%ifarch x86_64 ia64 ppc64 s390x
%define gre_conf_file gre64.conf
%else
%define gre_conf_file gre.conf
%endif 

%description
Listen is a music manager and player for GNOME
With listen you can:
* Play your favorite songs
* Manage your library
* Manage your ipod
* Make playlists
* Automatically or manually download album covers
* Automatically synchronize album covers with iPod
* Easily burn an audio CD
* Directly get informations from wikipedia when you play a song
* See the lyrics of a song
* Have statistics about your favorite songs, albums or artists
* Listen to web radio
* Submit your songs to Audioscrobbler
* Quick access to last.fm related file
With listen you will be able to:
 * Listen And Rip Audio CDs
 * Browse and listen songs on a DAAP share
 * Share you library via a DAAP share
 * Fill metadata with musicbrainz
 * Make smart playlists


%prep
%setup -q -n %{name}-%{version} 
%{__sed} -i 's/Comment=Listen /Comment=Listen to/' misc/listen.desktop
%{__sed} -i 's/python2.4/python/' src/listen.py
%patch0 -p0
%patch1 -p0
%{__sed} -i 's@GRE_CONF_FILE@/etc/gre.d/%{gre_conf_file}@' src/widget/mozembed_wrap.py
# correct path issue on x86_64 box
%ifarch x86_64 ppc64
%{__sed} -i 's#/lib/#/lib64/#' Makefile
%endif

%build
# (misc) for import gtk, as gtk requires a X server to be imported
XDISPLAY=$(i=2; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
# added - nolisten tcp -ac -terminate to fix build issue with mock
%{_prefix}/bin/Xvfb :$XDISPLAY -nolisten tcp -ac -terminate &
export DISPLAY=:$XDISPLAY
xauth add :$XDISPLAY . EE
make %{?_smp_mflags}



%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
chmod +x $RPM_BUILD_ROOT%{_libdir}/%{name}/listen.py
chmod +x $RPM_BUILD_ROOT%{_libdir}/%{name}/mmkeys.so
# fixed rights of trackedit.glade thanks to Martin Sourada
chmod 644 $RPM_BUILD_ROOT%{_datadir}/%{name}/trackedit.glade
desktop-file-install --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications      \
  --add-category X-Fedora                              \
  --remove-mime-type audio/mp3 \
  --remove-mime-type audio/x-mp3 \
  --remove-mime-type audio/mpeg \
  --remove-mime-type audio/x-mpeg \
  --remove-mime-type audio/mpeg3 \
  --remove-mime-type audio/x-mpeg-3 \
  --remove-mime-type application/x-id3 \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc gpl.txt
%{_bindir}/%{name}
%{_libdir}/%{name}/
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/org.gnome.Listen.service
%{_mandir}/man1/listen.1.gz


%changelog
* Tue Nov 20 2007 Haïkel Guémar <karlthered@gmail.com> 0.5-16
- add python-tunepimp dependency

* Mon May 07 2007 Haïkel Guémar <karlthered@gmail.com> 0.5-15
- ppc64 build enabled again. 

* Fri May 04 2007 Haïkel Guémar <karlthered@gmail.com> 0.5-14
- ppc64 build temporary disabled. 

* Thu May 03 2007 Haïkel Guémar <karlthered@gmail.com> 0.5-14
- fixed typo in desktop file
- fixed dbus issue (upstream bug #566) courtesy of Martin Sourada

* Sat Feb 10 2007 Haïkel Guémar <karlthered@gmail.com> 0.5-13
- Updated to final release.

* Sat Feb 10 2007 Haïkel Guémar <karlthered@gmail.com> 0.5-12.svn657
- Updated to svn (better python 2.5 support)

* Sat Jan 13 2007 Remi Collet <Fedora@FamilleCollet.com> - 0.5-11.beta1
- Change workaround to use /etc/gre.d/gre.conf

* Fri Jan 11 2007 Haïkel Guémar <karlthered@gmail.com> 0.5-10.beta1
- workaround to prevent listen crashing when using gtkmozembed widget

* Mon Nov 13 2006 Haïkel Guémar <karlthered@gmail.com> 0.5-9.beta1
- Fixed build issue
- Replaced some sed one-liners by incremental patches
- Minor bugs fixing (is Listen actively maintained ?)

* Fri Oct 20 2006 Haïkel Guémar <karlthered@gmail.com> 0.5-8.beta1
- Fixed a path issue that prevent Listen to be launched on x86_64 
 systems. Now owns {_datadir}/%{name}

* Sat Oct 14 2006 Haïkel Guémar <karlthered@gmail.com> 0.5-7.beta1
- Updated R with gnome-python2-gtkhtml2

* Thu Oct 12 2006 Haïkel Guémar <karlthered@gmail.com> 0.5-6.beta1
- Updated R & BR, now use the %{find_lang} macros

* Mon Oct 09 2006 Haïkel Guémar <karlthered@gmail.com> 0.5-5.beta1
- Moved /usr/lib/listen to /usr/lib64 on x86_64

* Mon Oct 09 2006 Haïkel Guémar <karlthered@gmail.com> 0.5-4.beta1
- Fixed build issue on x86_64

* Sun Oct 08 2006 Haïkel Guémar <karlthered@gmail.com> 0.5-3.beta1
- Removed audio/mp3 & cie mime types from .desktop, fixed naming issue,
 some enhancements to the spec (thanks M. Sourada), 

* Thu Oct 05 2006 Haïkel Guémar <karlthered@gmail.com> 0.5b1-2
- Added gettext and gtk2-devel as BR, fixed build issue with mock

* Fri Sep 08 2006 Haïkel Guémar <karlthered@gmail.com> 0.5b1-1
- Updated to 0.5 beta 1

* Sun Aug 20 2006 Haïkel Guémar <karlthered@gmail.com> 0.5.svn20060825-1
- Updated to 0.5.svn20060825 (0.5pre1)

* Thu May 25 2006 Haïkel Guémar <karlthered@gmail.com> 0.4.3-4
- Added licence/copyright files and fixed some issues with rpmlint

* Thu May 25 2006 Haïkel Guémar <karlthered@gmail.com> 0.4.3-3
- Add some patches to remove the dependency against libmad

* Thu May 25 2006 Haïkel Guémar <karlthered@gmail.com> 0.4.3-2
- Some cleaning to the spec

* Thu May 11 2006 Haïkel Guémar <karlthered@gmail.com> 0.4.3-1
- First packaging




